import React, { useState, useEffect, useMemo } from 'react'
import { Input } from 'antd'
import { FilterFilled } from '@ant-design/icons'

const UniqueValue = ({ value, onChange, schema }) => {

  const { disabled, placeholder, presetValue } = schema

  const valueShow = useMemo(() => {
    return presetValue || value
  }, [presetValue, value])

  const handleChange = (e) => {
    setInitValue(e.target.value)
    onChange(e.target.value)
  }

  // useEffect(() => {
  //   // const val = value || schema.default
  //   // setInitValue(val)
  //   onChange(val)
  // }, [])

  return (
    <Input
      disabled={disabled}
      value={valueShow}
      placeholder={placeholder}
      addonAfter={disabled ? null : <FilterFilled />}
      onChange={handleChange}
    />
  )

}

export default UniqueValue
